diff options
author | Vincent Ambo <mail@tazj.in> | 2021-09-21T10·03+0300 |
---|---|---|
committer | Vincent Ambo <mail@tazj.in> | 2021-09-21T11·29+0300 |
commit | 43b1791ec601732ac31195df96781a848360a9ac (patch) | |
tree | daae8d638343295d2f1f7da955e556ef4c958864 /third_party/git/t/perf/bisect_run_script | |
parent | 2d8e7dc9d9c38127ec4ebd13aee8e8f586a43318 (diff) |
chore(3p/git): Unvendor git and track patches instead r/2903
This was vendored a long time ago under the expectation that keeping it in sync with cgit would be easier this way, but it has proven not to be a big issue. On the other hand, a vendored copy of git is an annoying maintenance burden. It is much easier to rebase the single (dottime) patch that we have. This removes the vendored copy of git and instead passes the git source code to cgit via `pkgs.srcOnly`, which includes the applied patch so that cgit can continue rendering dottime. Change-Id: If31f62dea7ce688fd1b9050204e9378019775f2b
Diffstat (limited to 'third_party/git/t/perf/bisect_run_script')
-rwxr-xr-x | third_party/git/t/perf/bisect_run_script | 53 |
1 files changed, 0 insertions, 53 deletions
diff --git a/third_party/git/t/perf/bisect_run_script b/third_party/git/t/perf/bisect_run_script deleted file mode 100755 index 3ebaf1552148..000000000000 --- a/third_party/git/t/perf/bisect_run_script +++ /dev/null @@ -1,53 +0,0 @@ -#!/bin/sh - -script="$1" -test_number="$2" -info_dir="$3" - -# This aborts the bisection immediately -die () { - echo >&2 "error: $*" - exit 255 -} - -bisect_head=$(git rev-parse --verify BISECT_HEAD) || die "Failed to find BISECT_HEAD ref" - -script_number=$(echo "$script" | sed -e "s/^p\([0-9]*\).*\$/\1/") || die "Failed to get script number for '$script'" - -oldtime=$(cat "$info_dir/oldtime") || die "Failed to access '$info_dir/oldtime'" -newtime=$(cat "$info_dir/newtime") || die "Failed to access '$info_dir/newtime'" - -cd t/perf || die "Failed to cd into 't/perf'" - -result_file="$info_dir/perf_${script_number}_${bisect_head}_results.txt" - -GIT_PERF_DIRS_OR_REVS="$bisect_head" -export GIT_PERF_DIRS_OR_REVS - -# Don't use codespeed -GIT_PERF_CODESPEED_OUTPUT= -GIT_PERF_SEND_TO_CODESPEED= -export GIT_PERF_CODESPEED_OUTPUT -export GIT_PERF_SEND_TO_CODESPEED - -./run "$script" >"$result_file" 2>&1 || die "Failed to run perf test '$script'" - -rtime=$(sed -n "s/^$script_number\.$test_number:.*\([0-9]\+\.[0-9]\+\)(.*).*\$/\1/p" "$result_file") - -echo "newtime: $newtime" -echo "rtime: $rtime" -echo "oldtime: $oldtime" - -# Compare ($newtime - $rtime) with ($rtime - $oldtime) -# Times are decimal number, not integers - -if test $(echo "$newtime" "$rtime" "$oldtime" | awk '{ print ($1 - $2 > $2 - $3) }') = 1 -then - # Current commit is considered "good/old" - echo "$rtime" >"$info_dir/oldtime" - exit 0 -else - # Current commit is considered "bad/new" - echo "$rtime" >"$info_dir/newtime" - exit 1 -fi |